# privateimpl

Adds a private implementation of a function

Syntax

    privateimpl(<object_id>,<function_name>)<implementation>

Description
Adds a private implementation of function <function_name> to the existing object designed by <object_id>. <implementation> must be a valid command sequence. Side note: This command can not succesfully implement the "constructor" function since it must be called after this one has already been executed. To implement a constructor you MUST write your own class definition.
See also
class, Objects documentation

Main index, Command index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004